<?php

namespace Drupal\communication\Form;

use Drupal\Core\Form\ConfigFormBase;
use Drupal\Core\Form\FormStateInterface;

/**
 * Class ModeConfigForm allow modes to have settings. Maybe display useful
 * information about supported operations here.
 *
 * @package Drupal\communication\Form
 */
class ModeConfigForm extends ConfigFormBase {

  /**
   * @var string
   */
  protected $modePluginId = '';

  /**
   * {@inheritdoc}
   */
  protected function getEditableConfigNames() {
    if (!empty($this->modePluginId)) {
      return ['communication.mode.'.$this->modePluginId];
    }

    return [];
  }

  /**
   * {@inheritdoc}
   */
  public function getFormId() {
    return 'mode_config_form';
  }

  /**
   * {@inheritdoc}
   */
  public function buildForm(array $form, FormStateInterface $form_state, $bundle = '') {
    $this->modePluginId = $bundle;

    return parent::buildForm($form, $form_state);
  }
}
